<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
        http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <artifactId>tigon-codegen</artifactId>
    <packaging>jar</packaging>
    <name>Tigon Code Gen</name>
    <description>Tigon Code Gen</description>

    <parent>
        <groupId>me.chyxion.tigon</groupId>
        <artifactId>tigon</artifactId>
        <version>0.0.1-SNAPSHOT</version>
        <relativePath>../</relativePath>
    </parent>

    <dependencies>
        <dependency>
            <groupId>me.chyxion.tigon</groupId>
            <artifactId>tigon-freemarker-support</artifactId>
        </dependency>
        <dependency>
            <groupId>me.chyxion.tigon</groupId>
            <artifactId>tigon-extjs</artifactId>
        </dependency>
        <dependency>
            <groupId>me.chyxion.tigon</groupId>
            <artifactId>tigon-webmvc-core</artifactId>
        </dependency>
        <dependency>
            <groupId>me.chyxion.tigon</groupId>
            <artifactId>tigon-service-support</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context-support</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
        <!-- mybatis -->
        <dependency>
            <groupId>me.chyxion.tigon</groupId>
            <artifactId>tigon-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <!-- /mybatis -->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
